Summary: A system configuration tool.
Name: linuxconf
Version: 1.24r2
Release: 11a
Copyright: GPL
Group: Applications/System
Source: ftp://ftp.solucorp.qc.ca/pub/linuxconf/devel/src/linuxconf-%{version}.src.tar.bz2
Source1: linuxconf.power.gif
Source2: linuxconf.xinetd
Source3: linuxconf-auth.consolehelper
Source4: linuxconf-auth.pamd
Source5: linuxconf-auth.sh
Source6: linuxconf.init
URL: http://www.solucorp.qc.ca/linuxconf/
Patch0: linuxconf-1.24r2-rhconf.patch
Patch1: linuxconf-1.16r8-wvf.patch
Patch3: linuxconf-1.17r7-gcc.patch
Patch4: linuxconf-1.17r2-internaldaemons.patch
Patch5: linuxconf-1.24r2-named.patch
Patch10: linuxconf-1.24r2-pppquoting.patch
Patch11: linuxconf-1.19-dlopengd.patch
Patch12: linuxconf-1.18r5-system-auth.patch
Patch13: linuxconf-1.18r7-ia64.patch
Patch14: linuxconf-1.19r1-noegcs.patch
Patch15: linuxconf-1.19r2-label.patch
Patch16: linuxconf-1.19r2-translate.patch
Patch17: linuxconf-1.21r8-range.patch
Patch18: linuxconf-1.24r2-norwegian.patch
Patch19: linuxconf-broken-routes.patch
Patch20: linuxconf-1.24r2-e100.patch
Patch21: linuxconf-1.24r2-s390.patch
BuildRoot: %{_tmppath}/%{name}-root
AutoReqProv: no

# from misc/module.h
%define MODULE_API_VERSION 18
Provides: LINUXCONFAPIREV%{MODULE_API_VERSION}
Requires: pam >= 0.74, gd
Prereq: /usr/sbin/groupadd, /etc/services, /bin/mktemp, /sbin/ldconfig
Prereq: sh-utils, fileutils, textutils, grep, chkconfig
Obsoletes: usercfg, fstool, cabaret

%description
Linuxconf is an extremely capable system configuration tool.
Linuxconf provides four different interfaces for you to choose from:
command line, character-cell (like the installation program), an X
Window System based GUI and a web-based interface.  Linuxconf can
manage a large proportion of your system's operations, including
networking, user accounts, file systems, boot parameters, and more.

Linuxconf will simplify the process of configuring your system.
Unless you are completely happy with configuring your system manually,
you should install the linuxconf package and use linuxconf instead.

%package devel
Summary: The tools needed for developing linuxconf modules.
Group: Development/Libraries
Requires: linuxconf = %{version}

%description devel
Linuxconf is an extremely capable system configuration tool.  It
provides a variety of interfaces through which you can configure your
Linux system and manage a large proportion of the system's operations.

This package provides the components necessary for developing
Linuxconf modules outside of the linuxconf source tree and/or
developing stand-alone utilities using the linuxconf interface
toolkit.

Install linuxconf-devel if you want to develop Linuxconf modules.  You
must also have the linuxconf package installed.

%prep
%setup -q
%patch0 -p1 -b .rhconf
#patch1 not applied becuase redhatppp is disabled
#%patch1 -p1 -b .wvf
%patch4 -p0 -b .internaldaemons
%patch5 -p1 -b .named
#cp %{SOURCE1} images/power.gif
%patch10 -p1 -b .pppquoting
#%patch11 -p1 -b .dlopengd
%patch12 -p1 -b .system-auth
%patch13 -p1 -b .ia64
%patch14 -p1 -b .egcs
#patch15 comes from upstream
#%patch15 -p1 -b .label
%patch16 -p1 -b .translate
%patch17 -p1 -b .range 
%patch18 -p1 -b .norwegian
%patch19 -p1 -b .broken
%patch20 -p1 -b .e100
%patch21 -p1 -b .s390

%build 
make

%clean
[ "$RPM_BUILD_ROOT" != "/" ] && rm -fr $RPM_BUILD_ROOT

%install
[ "$RPM_BUILD_ROOT" != "/" ] && rm -fr $RPM_BUILD_ROOT

# Yes, patch is creating files with permissions of 000....
find . | xargs -n 100 chmod u+r

# Perform a regular installation.  It already knows about build roots.
make install RPM_BUILD_ROOT=$RPM_BUILD_ROOT NOPREPOST=1

# Fix dangling symlinks.
for link in $RPM_BUILD_ROOT/sbin/* ; do
	if [ -L $link ] ; then
		ln -sf linuxconf $link
	fi
done

# Install shared libraries.
install lib/liblinuxconf.so.%{version} $RPM_BUILD_ROOT/usr/lib/
ln -s liblinuxconf.so.%{version} $RPM_BUILD_ROOT/usr/lib/liblinuxconf.so

# Install xinetd configuration files.
install -d -m755 $RPM_BUILD_ROOT/etc/xinetd.d
install -m 644 %{SOURCE2} $RPM_BUILD_ROOT/etc/xinetd.d/linuxconf-web

# Copy the default configuration file.
install -m 644 $RPM_BUILD_ROOT/usr/lib/linuxconf/install/conf.linuxconf-redhat-4.x $RPM_BUILD_ROOT/etc/conf.linuxconf

# Set things up for userhelper.
install -d -m755 $RPM_BUILD_ROOT/etc/{pam.d,security/console.apps}
install -m 644 %{SOURCE3} $RPM_BUILD_ROOT/etc/security/console.apps/linuxconf-auth
install -m 644 %{SOURCE4} $RPM_BUILD_ROOT/etc/pam.d/linuxconf-auth
install -m 755 %{SOURCE5} $RPM_BUILD_ROOT/sbin/linuxconf-auth
ln -s consolehelper $RPM_BUILD_ROOT/usr/bin/linuxconf-auth

# Install development files.
make install-devel

# Install our hacked up init script.
install -d -m755 $RPM_BUILD_ROOT/etc/rc.d/init.d/
rm -f $RPM_BUILD_ROOT/etc/rc.d/init.d/linuxconf
install %{SOURCE6} $RPM_BUILD_ROOT/etc/rc.d/init.d/linuxconf

# Clean out some stuff we don't want packaged.
find $RPM_BUILD_ROOT -name "*.rhconf" -type f | xargs rm -fv

%triggerpostun -- linuxconf <= 1.19
# Replace the log files that an older package "owned" and caused to be
# removed when we upgraded.
test -f /var/log/htmlaccess.log||install -m600 /dev/null /var/log/htmlaccess.log
test -f /var/log/netconf.log   ||install -m600 /dev/null /var/log/netconf.log
test -L /etc/rc.d/init.d/linuxconf.rpmsave && rm -f /etc/rc.d/init.d/linuxconf.rpmsave
test -L /etc/rc.d/init.d/linuxconf.rpmorig && rm -f /etc/rc.d/init.d/linuxconf.rpmorig

%post
/sbin/ldconfig
/sbin/chkconfig --add linuxconf
/usr/sbin/groupadd -g 44 -r -f pppusers > /dev/null 2>&1 || :
/usr/sbin/groupadd -g 45 -r -f popusers > /dev/null 2>&1 || :
/usr/sbin/groupadd -g 46 -r -f slipusers > /dev/null 2>&1 || :
test -f /var/log/htmlaccess.log||install -m600 /dev/null /var/log/htmlaccess.log
test -f /var/log/netconf.log   ||install -m600 /dev/null /var/log/netconf.log
/sbin/service xinetd reload > /dev/null 2>&1 || :

/sbin/linuxconf --setmod treemenu > /dev/null 2>&1 || :

/sbin/linuxconf --unsetmod apache     > /dev/null 2>&1 || :
/sbin/linuxconf --unsetmod dialout    > /dev/null 2>&1 || :
/sbin/linuxconf --unsetmod dnsconf    > /dev/null 2>&1 || :
/sbin/linuxconf --unsetmod fsbrowser  > /dev/null 2>&1 || :
/sbin/linuxconf --unsetmod inetdconf  > /dev/null 2>&1 || :
/sbin/linuxconf --unsetmod printer    > /dev/null 2>&1 || :
/sbin/linuxconf --unsetmod redhatppp  > /dev/null 2>&1 || :
/sbin/linuxconf --unsetmod samba      > /dev/null 2>&1 || :
/sbin/linuxconf --unsetmod xterminals > /dev/null 2>&1 || :

%preun
if [ $1 = 0 ] ; then
	chkconfig --del linuxconf
fi

%postun
/sbin/ldconfig
/sbin/service xinetd reload > /dev/null 2>&1 || :

%files
%defattr(-,root,root)
%doc COPYING Changes HISTORY LICENSE.modules TODO
%doc rpmfiles/doc/RPM-CHANGES
%doc rpmfiles/doc/RPM-INSTALL
%doc rpmfiles/doc/RPM-README
%doc rpmfiles/doc/UPGRADE
%config(noreplace) /etc/conf.linuxconf
%config /sbin/remadmin
%config /etc/logrotate.d/*
%config /etc/pam.d/*
%config /etc/rc.d/init.d/linuxconf
%config /etc/security/console.apps/*
%config(noreplace) /etc/xinetd.d/*
/usr/bin/linuxconf-auth
/usr/bin/linuxconf-wrapper
/usr/bin/shellmod
/sbin/askrunlevel
/sbin/fixperm
/sbin/fsconf
/sbin/linuxconf
/sbin/linuxconf-auth
/sbin/mailconf
/sbin/modemconf
/sbin/netconf
/sbin/userconf
/sbin/uucpconf
/sbin/vregistry
/usr/lib/linuxconf
/usr/lib/liblinuxconf.so.%{version}

%files devel
%defattr(-,root,root)
/usr/include/linuxconf
/usr/lib/liblinuxconf.so
/usr/lib/liblinuxconf.a
/usr/lib/linuxconf-devel

%changelog
* Thu Apr 26 2001 Florian La Roche <Florian.LaRoche@redhat.de>
- add the same for s390x

* Tue Apr  4 2001 Helge Deller <hdeller@redhat.de>
- added s390 keyboard-patch

* Mon Apr  2 2001 Nalin Dahyabhai <nalin@redhat.com>
- remove gd patch -- we won't pull it into base any more (#32724)

* Fri Mar 23 2001 Bill Nottingham <notting@redhat.com>
- bzip2 source

* Thu Mar 22 2001 Nalin Dahyabhai <nalin@redhat.com>
- add bcm5700 to kmodule.list

* Tue Mar 20 2001 Nalin Dahyabhai <nalin@redhat.com>
- add e100/e1000/3c90x to kmodule.list (#28345)

* Mon Mar  5 2001 Bill Nottingham <notting@redhat.com>
- don't write broken stuff in /etc/sysconfig/static-routes, so we
  can stop working around this

* Mon Feb 12 2001 Nalin Dahyabhai <nalin@redhat.com>
- more header file inclusion wackiness

* Mon Jan 29 2001 Nalin Dahyabhai <nalin@redhat.com>
- add a trigger to get rid of dangling symlinks from the init script

* Tue Jan 23 2001 Nalin Dahyabhai <nalin@redhat.com>
- gettextize init script

* Mon Jan 22 2001 Helge Deller <hdeller@redhat.com>
- fixed one norwegian translation error (#14879)

* Fri Jan 19 2001 Nalin Dahyabhai <nalin@redhat.com>
- update to 1.24r2

* Thu Jan 18 2001 Nalin Dahyabhai <nalin@redhat.com>
- gettextize init script

* Tue Dec 12 2000 Nalin Dahyabhai <nalin@redhat.com>
- update to 1.21r8 (1.22+ change the GUI protocol)

* Mon Oct 30 2000 Nalin Dahyabhai <nalin@redhat.com>
- modify init script to only be run once, not at each runlevel change

* Wed Sep 13 2000 Nalin Dahyabhai <nalin@redhat.com>
- update to 1.21r1
- patch to not segfault on missing range statements in /etc/dhcpd.conf

* Sun Sep  3 2000 Florian La Roche <Florian.LaRoche@redhat.de>
- clean up post script

* Wed Aug 23 2000 Nalin Dahyabhai <nalin@redhat.com>
- make the pam_xauth call in linuxconf-auth's PAM config file optional so that
  it'll work when DISPLAY is not set

* Mon Aug 21 2000 Nalin Dahyabhai <nalin@redhat.com>
- don't worry about permissions on /etc/shadow
- always enable treemenu mode
- disable at install-time modules that have been disabled at build-time

* Tue Aug  8 2000 Nalin Dahyabhai <nalin@redhat.com>
- stop checking perms on /usr/sbin/sendmail (#15454)
- backport fix for LABEL= syntax in fstab from 1.19r3 (#14623)

* Fri Aug  4 2000 Nalin Dahyabhai <nalin@redhat.com>
- update to 1.19r2

* Mon Jul 24 2000 Nalin Dahyabhai <nalin@redhat.com>
- add trigger to replace log files that logrotate wants to rotate when they
  get removed because an older version of the package gets uninstalled

* Sun Jul 23 2000 Nalin Dahyabhai <nalin@redhat.com>
- rename xinetd service to linuxconf-web
- comment the init script

* Thu Jul 20 2000 Bill Nottingham <notting@redhat.com>
- move initscript back

* Tue Jul 18 2000 Nalin Dahyabhai <nalin@redhat.com>
- Update for changed group ownership of /dev/lp*.

* Fri Jul 14 2000 Nalin Dahyabhai <nalin@redhat.com>
- Ignore errors running xinetd's reload command in case we don't want xinetd.

* Wed Jul 12 2000 Nalin Dahyabhai <nalin@redhat.com>
- Modify init script to use /etc/init.d/functions instead of /etc/rc.d/init.d
- Actually fix treemenu mode defaults.
- Fix incorrect expected permissions.

* Wed Jul 12 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- Fix build on x86: Don't prefer /usr/bin/egcs over gcc

* Wed Jul 12 2000 Prospector <bugzilla@redhat.com>
- automatic rebuild

* Thu Jul  6 2000 Nalin Dahyabhai <nalin@redhat.com>
- update to 1.19r1
- make initscripts prereq a requirement for /etc/init.d
- make xinetd config file a noreplace
- reload xinetd in post and postun

* Tue Jul  4 2000 Jakub Jelinek <jakub@redhat.com>
- Rebuild with new C++

* Mon Jul  3 2000 Nalin Dahyabhai <nalin@redhat.com>
- tweak the post to ignore groupadd errors
- tweak the userhelper PAM config

* Sun Jul  2 2000 Nalin Dahyabhai <nalin@redhat.com>
- update to 1.19
- disable some modules that might not be working properly
- fix treemenu mode

* Mon Jun 26 2000 Nalin Dahyabhai <nalin@redhat.com>
- update to 1.18r9.
- move init script to /etc/init.d

* Wed Jun 21 2000 Trond Eivind Glomsrd <teg@redhat.com>
- fix the xinetd configuration: the server is in /sbin,
  not /bin (bug #12781)
  
* Mon Jun 19 2000 Nalin Dahyabhai <nalin@redhat.com>
- disable userhelper fallback mode, which couldn't work anyway
- fix the init script

* Sat Jun 17 2000 Nalin Dahyabhai <nalin@redhat.com>
- disable the network server by default

* Wed Jun 14 2000 Nalin Dahyabhai <nalin@redhat.com>
- patch to get around ia64 shenanigans
- remove explicit dependency on usermode, which isn't a hard dependency

* Tue Jun 13 2000 Nalin Dahyabhai <nalin@redhat.com>
- update to 1.18r7
- patch to fix implicit declarations
- remove postun, which used to clean out inetd.conf (not needed due to xinetd)
- switch to doing a normal make install to clean up the files list
- remove triggers, because we know we're on an RPM system
- snip the post and preun scripts down, because we know we're on an RPM system
- don't include log files in the package
- move binaries to /sbin
- add consolehelper support
- add Requires: linuxconf = %{version} to devel subpackage
- move /etc/conf.modules to /etc/modules.conf

* Tue Jun  6 2000 Nalin Dahyabhai <nalin@redhat.com>
- add defattr to -devel subpackage

* Mon Jun  5 2000 Nalin Dahyabhai <nalin@redhat.com>
- update to 1.18r6

* Thu Jun  1 2000 Nalin Dahyabhai <nalin@redhat.com>
- modify PAM setup to use system-auth

* Wed May 31 2000 Nalin Dahyabhai <nalin@redhat.com>
- make gd dlopen() loaded and not linked

* Fri May 19 2000 Nalin Dahyabhai <nalin@redhat.com>
- update to 1.18r4
- pull out gd backwards-compatibility patch

* Fri Apr 21 2000 Nalin Dahyabhai <nalin@redhat.com>
- update to 1.18

* Wed Apr 05 2000 Nalin Dahyabhai <nalin@redhat.com>
- update to 1.17r9

* Fri Mar 31 2000 Nalin Dahyabhai <nalin@redhat.com>
- update to 1.17r8
- include Jacques's fix for sysctl thing
- fix uucp speed setting problem
- fix quoting in PPP chat scripts

* Tue Mar 07 2000 Nalin Dahyabhai <nalin@redhat.com>
- change ownership of directories created under /var/named to named.named
- add inetd to trigger that adds linuxconf to inetd.conf
- fix newly-broken regex checks in triggers

* Wed Mar 01 2000 Nalin Dahyabhai <nalin@redhat.com>
- change groups created in post-install to have GIDs under 100

* Fri Jan 21 2000 Nalin Dahyabhai <nalin@redhat.com>
- back out dialogs patch, which breaks linuxconf if not started in a terminal
- back out pam_unix patch, going another route
- make sure init script has execute bit set

* Thu Jan 20 2000 Nalin Dahyabhai <nalin@redhat.com>
- fix paths in linuxconf.internaldaemons

* Mon Jan 17 2000 Nalin Dahyabhai <nalin@redhat.com>
- update to 1.17r2
- note that help.cfr has become help.cn
- integrate patch to stop dialog-related segfaults from edward.huff@acm.org
- make default distribution "redhat" instead of "std"

* Wed Jan 12 2000 Nalin Dahyabhai <nalin@redhat.com>
- updated to linuxconf 1.17r1
- add patch to fix easy-to-spot potential buffer overflows

* Mon Jan 10 2000 Nalin Dahyabhai <nalin@redhat.com>
- change to only append entry to /etc/inetd.conf if it isn't mentioned at all

* Tue Jan  4 2000 Nalin Dahyabhai <nalin@redhat.com>
- change to only append entry to /etc/services if it isn't mentioned at all

* Thu Dec 16 1999 Michael K. Johnson <johnsonm@redhat.com>
- pulled in chat patch

* Tue Dec 14 1999 Michael K. Johnson <johnsonm@redhat.com>
- pulled in Jacques' errata patch

* Thu Dec 02 1999 Michael K. Johnson <johnsonm@redhat.com>
- updated to linuxconf 1.16r10 to fix a few more bugs
- added rbl patches that will be in 1.16r11 when it is released
- removed xconf

* Wed Dec 01 1999 Michael K. Johnson <johnsonm@redhat.com>
- updated to linuxconf 1.16r9 to fix a few more bugs

* Wed Nov 24 1999 Michael K. Johnson <johnsonm@redhat.com>
- updated to linuxconf 1.16r8 to see which bugs are fixed.
- removed lpdconf as it is insufficient on Red Hat Linux systems

* Sat Sep 25 1999 Michael K. Johnson <johnsonm@redhat.com>
- reverted redhatppp module to an older, presumed working version
  because wvdial support in the new one breaks otherwise working
  setups.

* Tue Sep 21 1999 Michael K. Johnson <johnsonm@redhat.com>
- updated to 1.16r3.2
- install main help files only for languages in use on the system

* Mon Sep 20 1999 Michael K. Johnson <johnsonm@redhat.com>
- updated to 1.16r3

* Sat Aug 28 1999 Michael K. Johnson <johnsonm@redhat.com>
- fixed quota.conf permissions problem

* Tue Jul 27 1999 Michael K. Johnson <johnsonm@redhat.com>
- Update to 1.16r1.3 to deal with a few more bug reports

* Fri Jul 16 1999 Michael K. Johnson <johnsonm@redhat.com>
- Update to 1.16r1.1 to deal with a number of bug reports

* Wed Apr 14 1999 Michael K. Johnson <johnsonm@redhat.com>
- setup trigger for /etc/services instead of postinstall
- moved /etc/conf.linuxconf to a noreplace config file

* Fri Apr 09 1999 Michael K. Johnson <johnsonm@redhat.com>
- update to 1.14r4
- fix kmap/map confusion
- fix dnsrecs combos not to be empty
- be more conservative about finding phone numbers

* Wed Apr 07 1999 Michael K. Johnson <johnsonm@redhat.com>
- update to 1.14r3
- added more triggers
- sendmail V8 .cf

* Mon Apr 05 1999 Michael K. Johnson <johnsonm@redhat.com>
- prerequire redhat-release
- remove ghost reference to boot.log in logrotate file.

* Wed Mar 31 1999 Michael K. Johnson <johnsonm@redhat.com>
- dhcpd config should trust dhcpd or dhcpd script to put in correct routes

* Tue Mar 30 1999 Michael K. Johnson <johnsonm@redhat.com>
- updated to 1.14r2
- added defattr

* Mon Mar 29 1999 Michael K. Johnson <johnsonm@redhat.com>
- fixed ppp device names
- added a bunch of modules by default

* Thu Mar 25 1999 Michael K. Johnson <johnsonm@redhat.com>
- removed /var/log/boot.log (not used on Red Hat Linux)
- add redhatppp module by default
- fix /var/spol/mqueue permissions

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 4)

* Thu Mar 18 1999 Michael K. Johnson <johnsonm@redhat.com>
- do not install old versions of patch files
- perm -> umask to fix bug #418

* Mon Mar 15 1999 Michael K. Johnson <johnsonm@redhat.com>
- french messages

* Thu Mar 11 1999 Michael K. Johnson <johnsonm@redhat.com>
- moved to 1.14

* Wed Mar 10 1999 Michael K. Johnson <johnsonm@redhat.com>
- Moved to pristine source from internal CVS archive
